"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStyles = void 0;
var _antdStyle = require("antd-style");
const createPathsStyle = (colors, timing) => {
  return colors.reduce((pre, next, i) => {
    const selectorPrefix = timing ? `&:${timing} ` : '';
    const selector = `${selectorPrefix} path:nth-of-type(${i + 1})`;
    const styleStr = `
    ${pre}
    ${selector} {
      fill: ${colors[i]};
    }
    `;
    return styleStr;
  }, "");
};
const useStyles = exports.useStyles = (0, _antdStyle.createStyles)(({
  css
}, props) => {
  return {
    iconWrap: css`
        path:nth-of-type(1) {
          fill: ${props.color};
        }
        &:hover path:nth-of-type(1) {
          fill: ${props.hoverColor};
        }
        &:active path:nth-of-type(1) {
          fill: ${props.activeColor};
        }
        svg {
          width: 100%;
          height: 100%;
        }
        ${createPathsStyle(props.twoToneColor ?? [])}
        ${createPathsStyle(props.hoverTwoToneColor ?? [], 'hover')}
        ${createPathsStyle(props.activeTwoToneColor ?? [], 'active')}
      `
  };
});